Revision: f408d4df760b
Author: Emanuel Sartor <ema...@menttes.com>
Date: Sun Mar 18 18:20:25 2012
Log: Added script to control the server process.
http://code.google.com/p/merlot/source/detail?r=f408d4df760b
Revision: c8aaae23e1c3
Author: Emanuel Sartor <ema...@menttes.com>
Date: Sun Mar 18 18:23:49 2012
Log: Updated documentation.
http://code.google.com/p/merlot/source/detail?r=c8aaae23e1c3
Revision: c26b06e6c251
Author: Emanuel Sartor <ema...@menttes.com>
Date: Sun Mar 18 18:24:34 2012
Log: Updated version number.
http://code.google.com/p/merlot/source/detail?r=c26b06e6c251
==============================================================================
Revision: f408d4df760b
Author: Emanuel Sartor <ema...@menttes.com>
Date: Sun Mar 18 18:20:25 2012
Log: Added script to control the server process.
http://code.google.com/p/merlot/source/detail?r=f408d4df760b
Added:
/etc/merlot_server.in
Modified:
/buildout.cfg
/deploy.cfg
=======================================
--- /dev/null
+++ /etc/merlot_server.in Sun Mar 18 18:20:25 2012
@@ -0,0 +1,24 @@
+#!/bin/bash
+export zope_i18n_compile_mo_files=True
+case "$1" in
+ fg)
+ paster serve ${paster_debug_ini:output}
+ ;;
+ start)
+ paster serve ${paster_deploy_ini:output} --daemon
--pid-file=${buildout:directory}/var/merlot.pid
--log-file=${buildout:directory}/var/log/merlog.log
+ ;;
+ stop)
+ paster serve ${paster_deploy_ini:output} --daemon
--pid-file=${buildout:directory}/var/merlot.pid
--log-file=${buildout:directory}/var/log/merlog.log stop
+ ;;
+ restart)
+ paster serve ${paster_deploy_ini:output} --daemon
--pid-file=${buildout:directory}/var/merlot.pid
--log-file=${buildout:directory}/var/log/merlog.log restart
+ ;;
+ status)
+ paster serve ${paster_deploy_ini:output} --daemon
--pid-file=${buildout:directory}/var/merlot.pid
--log-file=${buildout:directory}/var/log/merlog.log status
+ ;;
+ *)
+ echo "Usage: merlot [fg|start|stop|restart|status]" >&2
+ exit 1
+ ;;
+esac
+exit 0
=======================================
--- /buildout.cfg Thu Mar 15 17:04:53 2012
+++ /buildout.cfg Sun Mar 18 18:20:25 2012
@@ -42,10 +42,7 @@
# production environment.
[merlot_server]
recipe = collective.recipe.template
-inline =
- #!/bin/bash
- export zope_i18n_compile_mo_files=True
- paster serve ${paster_debug_ini:output}
+input = etc/merlot_server.in
output = ${buildout:bin-directory}/merlot
mode = 755
=======================================
--- /deploy.cfg Sun Mar 18 17:29:36 2012
+++ /deploy.cfg Sun Mar 18 18:20:25 2012
@@ -5,10 +5,12 @@
parts =
app
merlot_server
+ paster_debug_ini
paster_deploy_ini
mkdirs
site_zcml
zope_conf_deploy
+ zope_conf_debug
zpasswd
repozo
backup
@@ -19,12 +21,6 @@
paths +=
${buildout:directory}/backups
-[merlot_server]
-inline =
- #!/bin/bash
- export zope_i18n_compile_mo_files=True
- paster serve ${paster_deploy_ini:output} --daemon
--pid-file=${buildout:directory}/var/merlot.pid
--log-file=${buildout:directory}/var/log/merlog.log
-
# Backup parts
[repozo]
recipe = zc.recipe.egg
==============================================================================
Revision: c8aaae23e1c3
Author: Emanuel Sartor <ema...@menttes.com>
Date: Sun Mar 18 18:23:49 2012
Log: Updated documentation.
http://code.google.com/p/merlot/source/detail?r=c8aaae23e1c3
Modified:
/docs-source/changelog.rst
/docs-source/developer/getting-started.rst
/docs-source/installation.rst
=======================================
--- /docs-source/changelog.rst Sun Mar 18 13:25:45 2012
+++ /docs-source/changelog.rst Sun Mar 18 18:23:49 2012
@@ -20,6 +20,7 @@
* Tweaked quicklog style and update some wordings. [emanuel]
* Fixed default values for some fields in the task and project models.
[emanuel]
+* Added buildout deployment configuration. [emanuel]
**0.1 - 2011-03-24**
=======================================
--- /docs-source/developer/getting-started.rst Thu Mar 24 13:40:15 2011
+++ /docs-source/developer/getting-started.rst Sun Mar 18 18:23:49 2012
@@ -41,7 +41,7 @@
Finally, we can start the server, which will run in port 8080::
- $ merlot
+ $ merlot fg
First steps to play with the system
-----------------------------------
=======================================
--- /docs-source/installation.rst Fri Mar 25 17:29:15 2011
+++ /docs-source/installation.rst Sun Mar 18 18:23:49 2012
@@ -47,7 +47,7 @@
And you are ready to start Merlot::
- $ merlot
+ $ merlot fg
This will start the server on port 8080 with basic authentication in front.
==============================================================================
Revision: c26b06e6c251
Author: Emanuel Sartor <ema...@menttes.com>
Date: Sun Mar 18 18:24:34 2012
Log: Updated version number.
http://code.google.com/p/merlot/source/detail?r=c26b06e6c251
Modified:
/setup.py
=======================================
--- /setup.py Sun Apr 3 15:19:53 2011
+++ /setup.py Sun Mar 18 18:24:34 2012
@@ -1,6 +1,6 @@
from setuptools import setup, find_packages
-version = '0.1'
+version = '0.2'
setup(name='Merlot',
version=version,